
Foreman - Bug #35164

puppet failed on initial ubuntu 20.04 installation

07/05/2022 06:30 PM - Xiao Li

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Jul 05 12:40:38 dskscs008 puppet-agent[483]: Could not send report: SSL_connect returned=1 errno=0

 state=error: certificate verify failed (unable to get issuer certificate): [unable to get issuer 

certificate fo>

Jul 05 13:10:37 dskscs008 puppet-agent[543]: Unable to fetch my node definition, but the agent run

 will continue:

Jul 05 13:10:37 dskscs008 puppet-agent[543]: SSL_connect returned=1 errno=0 state=error: certifica

te verify failed (unable to get issuer certificate): [unable to get issuer certificate for /CN=Pup

pet CA: katell>

Jul 05 13:10:37 dskscs008 puppet-agent[543]: (/File[/var/lib/puppet/facts.d]) Failed to generate a

dditional resources using 'eval_generate': SSL_connect returned=1 errno=0 state=error: certificate

 verify failed>

Jul 05 13:10:37 dskscs008 puppet-agent[543]: (/File[/var/lib/puppet/facts.d]) Could not evaluate: 

Could not retrieve file metadata for puppet:///pluginfacts: SSL_connect returned=1 errno=0 state=e

rror: certific>

Jul 05 13:10:37 dskscs008 puppet-agent[543]: (/File[/var/lib/puppet/lib]) Failed to generate addit

ional resources using 'eval_generate': SSL_connect returned=1 errno=0 state=error: certificate ver

ify failed (un>

Jul 05 13:10:37 dskscs008 puppet-agent[543]: (/File[/var/lib/puppet/lib]) Could not evaluate: Coul

d not retrieve file metadata for puppet:///plugins: SSL_connect returned=1 errno=0 state=error: ce

rtificate veri>

Jul 05 13:10:37 dskscs008 puppet-agent[543]: Could not retrieve catalog from remote server: SSL_co

nnect returned=1 errno=0 state=error: certificate verify failed (unable to get issuer certificate)

: [unable to g>

Jul 05 13:10:37 dskscs008 puppet-agent[543]: Could not retrieve catalog; skipping run

Jul 05 13:10:37 dskscs008 puppet-agent[543]: Could not send report: SSL_connect returned=1 errno=0

 state=error: certificate verify failed (unable to get issuer certificate): [unable to get issuer 

certificate fo>

History

#1 - 10/14/2022 12:47 PM - Ewoud Kohl van Wijngaarden

- Description updated

- Status changed from New to Closed

From the paths used this looks like it's using the OS vendor's package, which is version 5.5. If you talk to Puppetserver 7 it can't deal with the

intermediate certificate.

I'd advise using a newer Puppet version (since Puppet 5 is also EOL). See https://apt.puppet.com/ as well.
